<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://my-plugin/author
 * @since      1.0.0
 *
 * @package    Spai
 * @subpackage Spai/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="spai-plugin-container">
    <div class="spai-white-block spai-head mb20">
        <div class="spai-head__plugin-name">
            <?php echo esc_html( 'Similar posts AI' );?>
        </div>
    </div>

    <div class="spai-white-block spai-content p20">

        <div class="spai-page-title">
            <h2><?php _e( get_admin_page_title(), $this->plugin_name  ); ?></h2>
        </div>

        <ul class="nav nav-tabs">
            <li class="nav-item">
                <a class="nav-link active" data-toggle="tab" href="#tab-design"><?php _e( 'Design', $this->plugin_name );?></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" data-toggle="tab" href="#tab-monetization"><?php _e('Monetization', $this->plugin_name);?></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" data-toggle="tab" href="#tab-api"><?php _e( 'API', $this->plugin_name );?></a>
            </li>
        </ul>

        <form method="post" name="my_options" action="options.php">

            <?php

            /**
             *   Returns nothing. Displays hidden input fields.
             */
            settings_fields( $this->plugin_name );
            do_settings_sections( $this->plugin_name );

            ?>

            <div class="tab-content">
                <div class="tab-pane active" id="tab-design">
                    <?php include_once( 'tab-content/spai-tab-design.php' );?>
                </div>
                <div class="tab-pane" id="tab-monetization">
                    <?php include_once( 'tab-content/spai-tab-monetization.php' );?>
                </div>
                <div class="tab-pane" id="tab-api">
                    <?php include_once( 'tab-content/spai-tab-api.php' );?>
                </div>
            </div>

            <?php submit_button( __( 'Save all changes', $this->plugin_name), 'primary', 'submit', TRUE ); ?>
        </form>
    </div>
</div>
