<?php
/* @var int $display_type */
?>
<div class="">
    <div class="mt20">
        <label class="spai-input_label" for="<?php echo esc_attr( $this->plugin_name . '-heading' );?>"><?php _e( 'Heading', $this->plugin_name );?></label>
        <div class="spai-input_division">
            <input type="text"
               value="<?php if( !empty( $heading ) ) { echo esc_attr( $heading ); } else { echo 'Related posts:'; } ?>"
               name="<?php echo esc_attr( $this->plugin_name . '[heading]' ); ?>"
               placeholder="<?php esc_attr_e( 'Heading', $this->plugin_name ); ?>"
               id="<?php echo esc_attr( $this->plugin_name . '-heading' ); ?>"
            >
        </div>
    </div>

    <div class="mt20">
        <label class="spai-input_label" for="<?php echo esc_attr( $this->plugin_name . '-default_image' );?>"><?php _e( 'Default image', $this->plugin_name ); ?></label>
        <div class="spai-input_division">
            <input type="text"
               value="<?php if( !empty( $default_image ) ) { echo esc_url( $default_image ); } ?>"
               name="<?php echo esc_attr( $this->plugin_name .'[default_image]' ); ?>"
               placeholder="<?php esc_attr_e( 'Default image', $this->plugin_name ); ?>"
               id="<?php echo esc_attr( $this->plugin_name .'-default_image' ); ?>"
            >
        </div>
    </div>


    <div class="mt20">
        <label class="spai-input_label" for="<?php echo esc_attr( $this->plugin_name . '-display_type' );?>"><?php _e( 'Display type', $this->plugin_name );?></label>
        <div class="spai-input_division">
            <select name="<?php echo esc_attr( $this->plugin_name . '[display_type]' );?>" id="<?php echo esc_attr( $this->plugin_name . '-display_type' );?>">
                <option value="1" <?php if( $display_type === 1 ) {echo 'selected';} ?>><?php esc_attr_e( '6 posts in 1 row', $this->plugin_name );?></option>
                <option value="2" <?php if( $display_type === 2 ) {echo 'selected';} ?>><?php esc_attr_e( '4 posts in 1 row', $this->plugin_name );?></option>
                <option value="3" <?php if( $display_type === 3 ) {echo 'selected';} ?>><?php esc_attr_e( '3 posts in 1 row', $this->plugin_name );?></option>
                <option value="4" <?php if( $display_type === 4 ) {echo 'selected';} ?>><?php esc_attr_e( '4 posts in 2 rows', $this->plugin_name );?></option>
                <option value="5" <?php if( $display_type === 5 ) {echo 'selected';} ?>><?php esc_attr_e( '3 posts in 2 rows', $this->plugin_name );?></option>
            </select>
        </div>
    </div>

    <div class="mt20">
        <label class="spai-input_label" for="<?php echo esc_attr( $this->plugin_name . '-title_max' );?>"><?php _e( 'Maximum number of characters in a title', $this->plugin_name ); ?></label>
        <div class="spai-input_division">
            <input type="number"
                value="<?php if( !empty( $title_max ) ) { echo esc_attr( $title_max ); } ?>"
                name="<?php echo esc_attr( $this->plugin_name .'[title_max]' ); ?>"
                placeholder="50"
                style="width: 70px;"
                id="<?php echo esc_attr( $this->plugin_name .'-title_max' ); ?>"
            >
        </div>
    </div>

    <div class="mt20">
        <label class="spai-input_label" for="<?php echo esc_attr( $this->plugin_name . '-effect_of_increasing_the_image_size' );?>"><?php _e( 'Effect of increasing the image size', $this->plugin_name ); ?></label>
        <div class="spai-input_division">
            <input type="checkbox"
                   value="1"
                   name="<?php echo esc_attr( $this->plugin_name .'[effect_of_increasing_the_image_size]' ); ?>"
                   id="<?php echo esc_attr( $this->plugin_name .'-effect_of_increasing_the_image_size' ); ?>"
                <?php if( !empty( $effect_of_increasing_the_image_size ) && $effect_of_increasing_the_image_size === true ) { echo 'checked'; } ?>
            >
        </div>
    </div>

    <div class="mt20">
        <label class="spai-input_label" for="<?php echo esc_attr( $this->plugin_name . '-show_category' );?>"><?php _e( 'Show category', $this->plugin_name ); ?></label>
        <div class="spai-input_division">
            <input type="checkbox"
                   value="1"
                   name="<?php echo esc_attr( $this->plugin_name .'[show_category]' ); ?>"
                   id="<?php echo esc_attr( $this->plugin_name .'-show_category' ); ?>"
                <?php if( !empty( $show_category ) && $show_category === true ) { echo 'checked'; } ?>
            >
        </div>
    </div>
</div>
