(function ($) {
    'use strict';

    /**
     * All of the code for your public-facing JavaScript source
     * should reside in this file.
     *
     * Note: It has been assumed you will write jQuery code here, so the
     * $ function reference has been prepared for usage within the scope
     * of this function.
     *
     * This enables you to define handlers, for when the DOM is ready:
     *
     * $(function() {
     *
     * });
     *
     * When the window is loaded:
     *
     * $( window ).load(function() {
     *
     * });
     *
     * ...and/or other possibilities.
     *
     * Ideally, it is not considered best practise to attach more than a
     * single DOM-ready or window-load handler for a particular page.
     * Although scripts in the WordPress core, Plugins and Themes may be
     * practising this, we should strive to set a better example in our own work.
     */

    $(function () {
        $('.spai-one_related_post a').on('click', function () {

            //var spai_ajaxurl defined in class-spai-public.php

            var spai_one_related_post = $(this).parent();
            var spai_one_related_posts = spai_one_related_post.parent();
            var spai_post_id = spai_one_related_posts.attr('for_post_id');
            var spai_imp_id = spai_one_related_posts.attr('imp_id');
            var spai_clicked_related_post_id = spai_one_related_post.attr('related_post_id');
            event.preventDefault();
            var data = new FormData();
            data.append('action', 'spai_save_related_post_click');
            data.append('spai_post_id', spai_post_id);
            data.append('spai_imp_id', spai_imp_id);
            data.append('spai_clicked_related_post_id', spai_clicked_related_post_id);
            $.ajax({
                url: spai_ajaxurl,
                type: 'POST',
                data: data,
                processData: false,
                contentType: false,
                success: function (response) {
                    console.log(response);
                },
                error: function (response) {
                    console.log(response);
                }
            });
            location.href = $(this).attr('href');
        });
    });

})(jQuery);
